LOG-MANAER:CLOSE-LOG does not reset the enabled state

03/08/2024 02:14 PM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Galya B % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 03/08/2024 02:15 PM - Constantin Asofiei

From #8237-30:

There is a bug in LOG-MANAGER which isn't a show-stopper.  See this test:

message "not for log-manager".

log-manager:logfile-name = "test1.log".

log-manager:write-message("test1").

log-manager:close-log().

// this error message is sent via ThinClient.applyChanges to logManagerService.write(sstate.logManagerRecords)

;

// why is not LegacyLogManagerImpl.resetEnabled called when the 'close-log' is called?

// this ends writing lots of "No file open. LOG-MANAGER logs discarded." warnings in the FWD client's STDERR

def var h as handle.

h:name = "aaa".

#2 - 03/11/2024 03:21 AM - Galya B

I've missed that close modifies logFile and isEnabled should be updated. Can you add this new line isEnabled.set(false); to LegacyLogManagerImpl

in another branch, or we need a new branch?

   @Override

   public synchronized logical close(boolean isProcedureCall, boolean closeWriteExecutor)

   {

      isEnabled.set(false);

      if (isAppserver && isProcedureCall)

      {
#3 - 03/11/2024 03:21 AM - Galya B

I've tested it and it works fine with the change.

#4 - 03/11/2024 03:28 AM - Constantin Asofiei

I think isEnabled.set(false); needs to be after if (isAppserver && isProcedureCall), correct?  I'll use 8237a.

#5 - 03/11/2024 03:31 AM - Galya B

You're right, put it after that.

#6 - 03/11/2024 03:46 AM - Constantin Asofiei

- Status changed from New to Merge Pending

- Assignee set to Galya B

- % Done changed from 0 to 100

This is fixed in 8237a rev 15043.

#7 - 03/13/2024 05:08 AM - Galya B

- Status changed from Merge Pending to Closed

8237a was merged to trunk revision 15044 and archived.
